#****************************************************************************
#**
#**  File     :  /cdimage/units/MEF001/UEL0202_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  UEF Heavy Tank Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local TLandUnit = import('/lua/terranunits.lua').TLandUnit
local TWeapons = import('/lua/terranweapons.lua')
local TOrbitalDeathLaserBeamWeapon = TWeapons.TOrbitalDeathLaserBeamWeapon
local TDFMachineGunWeapon = import('/lua/terranweapons.lua').TDFMachineGunWeapon

SMP0013 = Class(TLandUnit) {

    Weapons = {
        OrbitalDeathLaserWeapon = Class(TOrbitalDeathLaserBeamWeapon){},
		        MainGun = Class(TDFMachineGunWeapon) {
        },
    },
}

TypeClass = SMP0013